### Method

# Shumate VectorReaderIter get_layer_extent

since: 1.2

#### Declaration [src]

    guint
    shumate_vector_reader_iter_get_layer_extent (
      ShumateVectorReaderIter* self
    )

#### Description [src]

Gets the extent for coordinates in the current layer.

0 represents the top and left edges of the tile, and this value represents the bottom and right edges. Feature geometries may extend outside of this range, since tiles often include some margin.

Tiles do not contain metadata about the location of the tile within the world, so it is up to the caller to know the tile’s coordinates and convert latitude/longitude to tile-space coordinates.

Available since: 1.2

#### Return value

Type: `guint`

The layer’s extent.